Subject: Re: kernel BUG at include/net/netns/generic.h:41

From: Stanislav Kinsbursky <[email-masked]>
Date: Thu, 05 Apr 2012 20:08:31 +0400

02.04.2012 22:10, Myklebust, Trond пишет:
> This looks related to the recent net namespace changes, so I'm adding
> Stanislav.
>

Hi, Trond.
Looks like we stepped into exactly that situation, what Al Viro was talking on 
LFS about early registering of file system before other module "init" operations 
completed.
I.e. SUNRPC registers it's file system, and then we have races between 
register_pernet_subsys() call and mount of SUNRPC PipeFS.
BTW, these races can be triggered only if mount of SUNRPC PipeFS is called prior 
to SUNRPC module insertion is completed. In spite of it, I'll send the patch soon.
But I'm not 100% sure, that this patch will solve Dave's problem.
So, there are few questions to you, Dave:
1) can this happen (PipeFS mount attempt before SUNPRC module insertion has 
returned any value) in your case?
2) how often do you experience this problem? Not every boot, I suppose?
3) And is it easy for you to reproduce?

-- 
Best regards,
Stanislav Kinsbursky